### Function

# FwupdPlugin input_stream_compute_sum32

#### Declaration [src]

    gboolean
    fu_input_stream_compute_sum32 (
      GInputStream* stream,
      guint32* value,
      GError** error
    )

#### Description [src]

Returns the arithmetic sum of all bytes in the stream.

Available since: | 2.0.1

#### Parameters

`stream` | `GInputStream`
| A `GInputStream`.
| The data is owned by the caller of the function.
`value` | `guint32*`
| Value.
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.